import React from "react";
import { Route, Redirect } from "react-router-dom";

export const PrivateRoute = ({ component: Component, protectedRoute, ...rest }) => (
	<Route
		{...rest}
		render={props => {
			if (protectedRoute) {
				const token = localStorage.getItem("token");
				if (!token) {
					return <Redirect to="/auth" />;
				}

				return <Component {...props} />;
			}
			return <Component initialValues={{ name: "Tony", age: 34 }} {...props} />;
		}}
	/>
);
